Bug 110540 - Kernel oopses when umounting remote volumes
Kernel oopses when umounting remote volumes
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-11-20 17:39 EST by ulisses
Modified: 2014-01-21 17:48 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 15:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Oops report 1 (1.45 KB, text/plain)
2003-11-20 17:44 EST, ulisses
no flags Details
Oops report 2 (1.43 KB, text/plain)
2003-11-20 17:45 EST, ulisses
no flags Details

  None (edit)
Description ulisses 2003-11-20 17:39:48 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
Halting the system causes the kernel to oops when umounting remote
volumes that were mounted by automount.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Halt the system

Actual Results:  The kernel oopses like it did before.

Expected Results:  No kernel oops at all.

Additional info:
Comment 1 ulisses 2003-11-20 17:44:02 EST
Created attachment 96103 [details]
Oops report 1
Comment 2 ulisses 2003-11-20 17:45:39 EST
Created attachment 96104 [details]
Oops report 2

Almost equal to the other one.
Comment 3 Seth Vidal 2004-04-01 23:02:49 EST
Ditto on the oops on umount - duplicated on 2.4.22-1.2174.nptlsmp

Dell poweredge 1750 dual processor xeon

 <1>Unable to handle kernel NULL pointer dereference at virtual
address 00000004
 printing eip:
*pde = 00000000
Oops: 0000
nfs ipt_LOG ipt_REJECT iptable_filter ip_tables nfsd lockd sunrpc
autofs tg3 floppy sg microcode keybdev mousedev hid input usb-ohci
usbcore ext3 jbd raid1 mp
CPU:    2
EIP:    0060:[<c01692d5>]    Not tainted
EFLAGS: 00010246
EIP is at destroy_inode [kernel] 0x45 (2.4.22-1.2174.nptlsmp)
eax: 00000000   ebx: d761f280   ecx: 00000001   edx: d761f330
esi: eb0ea180   edi: d761f280   ebp: 00000001   esp: c4cb5f2c
ds: 0068   es: 0068   ss: 0068
Process umount (pid: 16296, stackpage=c4cb5000)
Stack: d761f280 eb0ea180 eb0ea198 c0167dea d761f280 d761f280 c4cb4000
       f8a0cf40 f8a0cf10 c0168144 00000001 e7428400 f093ab80 c0157595
       c0376068 00000000 c4cb5f8c 0804df38 bfe9fd48 c016d89f e7428400
Call Trace:   [<c0167dea>] prune_dcache [kernel] 0x18a (0xc4cb5f38)
[<f8a0cf40>] autofs_sops [autofs] 0x0 (0xc4cb5f4c)
[<f8a0cf10>] autofs_fs_type [autofs] 0x0 (0xc4cb5f50)
[<c0168144>] shrink_dcache_parent [kernel] 0x24 (0xc4cb5f54)
[<c0157595>] kill_super [kernel] 0x95 (0xc4cb5f64)
[<c016d89f>] sys_umount [kernel] 0x3f (0xc4cb5f80)
[<c016d917>] sys_oldumount [kernel] 0x17 (0xc4cb5fb4)
[<c0109b27>] system_call [kernel] 0x33 (0xc4cb5fc0)
Code: 8b 50 04 85 d2 74 14 89 1c 24 ff 50 04 8b 5c 24 08 83 c4 0c

doesn't seem to screw things up but it's a little disconcerting in the

this machine is not fancy - 1GB of ram, scsi, tg3 gig cards.
Comment 4 Seth Vidal 2004-04-01 23:06:39 EST
Worth noting - I can't get it to happen with a manual umount - I think
it might be related to autofs mounts expiring. I noticed the autofs_fs
in the other reporters oops, too.
Comment 5 David Lawrence 2004-09-29 15:42:27 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.